Skip to Content
Multi-Factor Authentication (MFA)

Get MFA Workflow by ID

View Markdown (.md)
GET
/api/v1/public/mfa/workflows/{id}

Retrieves configuration settings for a specific MFA workflow.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Path Parameters

id*string

Workflow identifier

Response Body

Workflow configuration details

application/json
  1. response
status?string
data?
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/mfa/workflows/string'
Example Response
{  "status": "string",  "data": {    "id": "string",    "name": "string",    "senderId": "string",    "codeLength": 0,    "expiryMinutes": 0,    "maxAttempts": 0,    "resendCooldownSeconds": 0,    "channel": "string",    "isDefault": true,    "isActive": true,    "webhookUrl": "string",    "defaultProofMode": "CHALLENGE_RESPONSE"  }}